dag_seg_s Struct Reference

Segmentation "iterator" for backpointer table results. More...

`#include <ps_lattice_internal.h>`

## Data Fields

ps_seg_t | base
| Base structure.
ps_latlink_t ** | links
| Array of lattice links.
int32 | norm
| Normalizer for posterior probabilities.
int16 | n_links
| Number of lattice links.
int16 | cur
| Current position in bpidx.

## Detailed Description

Segmentation "iterator" for backpointer table results.

Definition at line 139 of file ps_lattice_internal.h.

## Field Documentation

## base

ps_seg_t dag_seg_s::base

Base structure.

Definition at line 140 of file ps_lattice_internal.h.

Referenced by ps_lattice_seg_iter().

## cur

int16 dag_seg_s::cur

Current position in bpidx.

Definition at line 144 of file ps_lattice_internal.h.

## links

ps_latlink_t** dag_seg_s::links

Array of lattice links.

Definition at line 141 of file ps_lattice_internal.h.

Referenced by ps_lattice_seg_iter().

## n_links

int16 dag_seg_s::n_links

Number of lattice links.

Definition at line 143 of file ps_lattice_internal.h.

Referenced by ps_lattice_seg_iter().

## norm

int32 dag_seg_s::norm

Normalizer for posterior probabilities.

Definition at line 142 of file ps_lattice_internal.h.

Referenced by ps_lattice_seg_iter().

The documentation for this struct was generated from the following file:

- src/libpocketsphinx/ps_lattice_internal.h